Universal AlwaysOnline 6.1

A free and better alternative to NeverDownProxy. Keep your server running while mojang is offline.

  1. What command?
     
  2. PhanaticD

    Patron

    in my screenshot the top line, alwaysonline toggle
     
  3. Interesting...I'll see what I can do to fix it tomorrow.
     
  4. Theepwner

    Supporter

    Had the same issue earlier ^^^^^^

    Then a bungee restart fixed it.
     
  5. PhanaticD

    Patron

    yea i think thats a seperate issue from the command not working though
     
  6. I can confirm that I am getting the same problem:

    Error authenticating Bunkham with minecraft.net
    io.netty.channel.ConnectTimeoutException: connection timed out: sessionserver.mojang.com/54.204.11.211:443
    at io.netty.channel.nio.AbstractNioChannel$AbstractNioUnsafe$1.run(AbstractNioChannel.java:213)
    at io.netty.util.concurrent.PromiseTask$RunnableAdapter.call(PromiseTask.java:38)
    at io.netty.util.concurrent.ScheduledFutureTask.run(ScheduledFutureTask.java:123)
    at io.netty.util.concurrent.SingleThreadEventExecutor.runAllTasks(SingleThreadEventExecutor.java:380)
    at io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:357)
    at io.netty.util.concurrent.SingleThreadEventExecutor$2.run(SingleThreadEventExecutor.java:116)
    at java.lang.Thread.run(Thread.java:744)
     
  7. +1 to above errors last night and that a restart fixed it. Didn't try the toggle command.
     
  8. PhanaticD

    Patron

    any news :p
     
  9. I couldn't reproduce the issue, because I think this was a fault on mojang's side.
    And since I couldn't reproduce it, I couldn't figure out what was wrong.
     
  10. PhanaticD

    Patron

    so without the php script removal do we host our own or what?
     
  11. Hey,

    getting this error on startup. Latest BungeeCord Build #1021 26.11.2014 11:45:07.

    Code (Text):
    07:52:30 [WARNING] Error enabling plugin AlwaysOnline
    java.lang.UnsupportedClassVersionError: me/johnnywoof/bungeecord/AlwaysOnline : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
        at net.md_5.bungee.api.plugin.PluginClassloader.loadClass0(PluginClassloader.java:34)
        at net.md_5.bungee.api.plugin.PluginClassloader.loadClass(PluginClassloader.java:27)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
        at net.md_5.bungee.api.plugin.PluginManager.enablePlugin(PluginManager.java:297)
        at net.md_5.bungee.api.plugin.PluginManager.loadPlugins(PluginManager.java:205)
        at net.md_5.bungee.BungeeCord.start(BungeeCord.java:230)
        at net.md_5.bungee.BungeeCordLauncher.main(BungeeCordLauncher.java:50)
        at net.md_5.bungee.Bootstrap.main(Bootstrap.java:15)
     
     
  12. Seeing the same.
     
  13. Hex Guys :)

    I think this a great plugin, but.... It djust do not starts up... :O

    When it starts there is an error which is like:

    Code (Text):
    15:05:19 [WARNING] Error enabling plugin AlwaysOnline
    java.lang.UnsupportedClassVersionError: me/johnnywoof/bungeecord/AlwaysOnline : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(Unknown Source)
        at java.security.SecureClassLoader.defineClass(Unknown Source)
        at java.net.URLClassLoader.defineClass(Unknown Source)
        at java.net.URLClassLoader.access$100(Unknown Source)
        at java.net.URLClassLoader$1.run(Unknown Source)
        at java.net.URLClassLoader$1.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(Unknown Source)
        at java.lang.ClassLoader.loadClass(Unknown Source)
        at net.md_5.bungee.api.plugin.PluginClassloader.loadClass0(PluginClassloader.java:34)
        at net.md_5.bungee.api.plugin.PluginClassloader.loadClass(PluginClassloader.java:27)
        at java.lang.ClassLoader.loadClass(Unknown Source)
        at net.md_5.bungee.api.plugin.PluginManager.enablePlugin(PluginManager.java:297)
        at net.md_5.bungee.api.plugin.PluginManager.loadPlugins(PluginManager.java:205)
        at net.md_5.bungee.BungeeCord.start(BungeeCord.java:230)
        at net.md_5.bungee.BungeeCordLauncher.main(BungeeCordLauncher.java:50)
        at net.md_5.bungee.Bootstrap.main(Bootstrap.java:15)
    I think you use an older BungeeCord version as I do...
    And if you do, this would be the reason for this error.
    Because I am using the newest on! ;)

    Please check it out!!

    Thanks
     
  14. Compiled in Java 8..oops!

    Gonna release a fix soon.
    The php file is obsolete now. You can ignore/delete the file.
     
    • Like Like x 1
  15. I recently noticed that & color codes do not work for the recently added customizable messages.
    Can you fix/add that?
     
  16. Bump @johnnywoof
     
  17. I'll look into the issue.
     
    • Like Like x 1